Name:           schroedinger
Version:        1.0.8
Release:        1
Summary:        Portable libraries for the high quality Dirac video codec

Group:          System Environment/Libraries
# No version is given for the GPL or the LGPL
License:        GPL+ or LGPLv2+ or MIT or MPLv1.1
URL:            http://www.diracvideo.org/
Source0:	http://www.diracvideo.org/download/schroedinger/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  liboil-devel >= 0.3.17
Requires:  	liboil >= 0.3.17

%description
The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and Development.
Dirac is a free and open source codec producing very high image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.


%package devel
Group:          Development/Libraries
Summary:        Development files for schroedinger
Requires:       %{name} = %{version}-%{release}
Requires:       pkg-config
Requires:	liboil-devel >= 0.3.17

%description devel
Development files for %{name}.


%prep
%setup -q
%patch0


%build
export CC=xlc

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp %{name}/.libs/lib%{name}-1.0.so.0 .
make clean

# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q %{name}/.libs/lib%{name}-1.0.a ./lib%{name}-1.0.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING* NEWS TODO
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc %{_datadir}/gtk-doc/html/schroedinger
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Apr 12 2010 Michael Perzl <michael@perzl.org> - 1.0.8-1
- first version for AIX5L v5.1 and higher
